## pytz-deprecation-shim 0.1.0.post0

=== docs/requirements.txt ===
sphinx>=3.0.0
sphinx_rtd_theme

=== debian/changelog ===
pytz-deprecation-shim (0.1.0.post0-4) unstable; urgency=medium

  * Team upload.
  * Tests needs python3-attr
  * Rewrite d/watch if v5 format

 -- Alexandre Detiste <tchet@debian.org>  Thu, 13 Nov 2025 06:47:03 +0100

pytz-deprecation-shim (0.1.0.post0-3) unstable; urgency=medium

  * Update debian/watch to check GitHub tags instead of releases.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Fri, 09 Dec 2022 03:58:49 +0000

pytz-deprecation-shim (0.1.0.post0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sun, 13 Mar 2022 07:54:37 +0000

pytz-deprecation-shim (0.1.0.post0-1) unstable; urgency=medium

  * Initial release. (Closes: #1007107)

 -- Edward Betts <edward@4angle.com>  Sat, 12 Mar 2022 12:03:40 +0000

=== debian/control ===
Source: pytz-deprecation-shim
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-attr,
 python3-hypothesis,
 python3-pytest,
 python3-setuptools,
 python3-tz,
Standards-Version: 4.7.2
Homepage: https://github.com/pganssle/pytz-deprecation-shim
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytz-deprecation-shim
Vcs-Git: https://salsa.debian.org/python-team/packages/pytz-deprecation-shim.git

Package: python3-pytz-deprecation-shim
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Shims to help you safely remove pytz
 pytz has served the Python community well for many years, but it is no longer
 the best option for providing time zones. pytz has a non-standard interface
 that is very easy to misuse; this interface was necessary when pytz was
 created, because datetime had no way to represent ambiguous datetimes, but
 this was solved in Python 3.6, which added a fold attribute to datetimes in
 PEP 495. With the addition of the zoneinfo module in Python 3.9 (PEP 615),
 there has never been a better time to migrate away from pytz.
 .
 However, since pytz time zones are used very differently from a standard
 tzinfo, and many libraries have built pytz zones into their standard time zone
 interface (and thus may have users relying on the existence of the localize and
 normalize methods); this library provides shim classes that are compatible with
 both PEP 495 and pytz's interface, to make it easier for libraries to deprecate
 pytz.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pytz-deprecation-shim
export PYBUILD_TEST_ARGS=-k 'not test_invalid_zones'

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -rf src/pytz_deprecation_shim.egg-info

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-attr,
 python3-hypothesis,
 python3-pytest,
 python3-tz,
 @,

=== debian/watch ===
Version: 5

Template: GitHub
Owner: pganssle
Project: pytz-deprecation-shim
